curl --request POST \ --url https://api.firma.dev/functions/v1/signing-request-api/webhooks/rotate-secret \ --header 'Authorization: <api-key>'
Copy
{ "message": "Webhook secret rotated successfully", "new_secret": "a1b2c3d4e5f6...", "grace_period_hours": 168, "warning": "Update your webhook signature verification to use the new secret. The old secret will remain valid for 7 days."}
Webhooks
Rotate webhook signing secret
POST
/
webhooks
/
rotate-secret
Rotate webhook signing secret
Copy
curl --request POST \ --url https://api.firma.dev/functions/v1/signing-request-api/webhooks/rotate-secret \ --header 'Authorization: <api-key>'
Copy
{ "message": "Webhook secret rotated successfully", "new_secret": "a1b2c3d4e5f6...", "grace_period_hours": 168, "warning": "Update your webhook signature verification to use the new secret. The old secret will remain valid for 7 days."}